// UsrHighTextSet.cpp : implementation file
//

#include "stdafx.h"
#include "ex30a.h"
#include "UsrHighTextSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUsrHighTextSet

IMPLEMENT_DYNAMIC(CUsrHighTextSet, CDaoRecordset)

CUsrHighTextSet::CUsrHighTextSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CUsrHighTextSet)
	m_nBookID = 0;
	m_nFirstChar = 0;
	m_nLastChar = 0;
	m_strNote = _T("");
	m_nPageNumber = 0;
	m_nUserID = 0;
	m_nFields = 6;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CUsrHighTextSet::GetDefaultDBName()
{
	return _T("E:\\Programación Enero 98\\Proyectos\\ITBLibrary\\ITBLibrary.mdb");
}

CString CUsrHighTextSet::GetDefaultSQL()
{
	return _T("[UserHighlightedText]");
}

void CUsrHighTextSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CUsrHighTextSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[BookID]"), m_nBookID);
	DFX_Long(pFX, _T("[FirstChar]"), m_nFirstChar);
	DFX_Long(pFX, _T("[LastChar]"), m_nLastChar);
	DFX_Text(pFX, _T("[Note]"), m_strNote);
	DFX_Long(pFX, _T("[PageNumber]"), m_nPageNumber);
	DFX_Long(pFX, _T("[UserID]"), m_nUserID);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CUsrHighTextSet diagnostics

#ifdef _DEBUG
void CUsrHighTextSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CUsrHighTextSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
